# Generated by Django 3.0.4 on 2020-05-04 16:21

import django.contrib.sites.managers
from django.db import migrations, models
import django.db.models.deletion
import django.db.models.manager
from django.conf import settings


use_sites = hasattr(settings, "SITE_ID")


class Migration(migrations.Migration):

    dependencies = [
        ('favicon', '0002_favicon_site'),
    ]

    operations = [
        migrations.AlterModelManagers(
            name='favicon',
            managers=[
                ('objects', django.db.models.manager.Manager()),
                ('on_site', django.contrib.sites.managers.CurrentSiteManager()),
            ] if use_sites else [
                ('objects', django.db.models.manager.Manager()),
                ('on_site', django.db.models.manager.Manager()),
            ],
        ),
    ]
    if use_sites:
        operations.append(
            migrations.AlterField(
            model_name='favicon',
            name='site',
            field=models.ForeignKey(blank=True, default=1, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='favicon', to='sites.Site'),
            )
        )
